> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Get current TaxRateSpecification for a TaxProfile at a given date.

- Product: Tax profiles
- Section: TaxProfile
- Snapshot: Current
- Method: `GET`
- Path: `/api/tax_profiles/{id}/current`

## Path parameters

### `id`

Type: `string`  
Required: yes  

## Query parameters

### `date`

Type: `string`  
Format: `date-time`  
Required: yes  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.taxProfiles.current({
  id: "<id>",
  date: new Date("2026-06-01"),
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/tax_profiles/$ID/current" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    --url-query "date=$DATE"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
{
  "displayName": "displayName",
  "position": 0
}
```

##### Schema

###### TaxRateSpecification

Type: `TaxRateSpecification`  

###### `position`

Type: `number`  
Required: no  

###### `displayName`

Type: `string`  
Required: yes  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

### Response `404`

Category: client-error  

Not found

#### `application/json`

##### Example

```json
{
  "statusCode": 404,
  "description": "Not found",
  "errors": [
    "Not found"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/tax-profiles/methods/current/)
- [TypeScript Markdown](/tax-profiles/methods/current.md?lang=typescript)
- [curl Markdown](/tax-profiles/methods/current.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/tax-profiles/llms.txt)
- [snapshot llms.txt](/tax-profiles/llms.txt)
